# Welcome to StandCoded

StandCoded is a code-hosting powered by [Forgejo](https://forgejo.org). This document states the setup of the site.

## Accounts

This site is invite-only. All accounts are granted and created by the site owner. This is not a equivalent to agreement or endorsement of any project hosted on this site. If any project or account uses unfair amount of resource, they may be deleted after notification.

## Actions

For the usage please refer to [Forgejo Documentation for Actions](https://forgejo.org/docs/latest/user/actions/). If "Actions" page does not show up on your repository page, go to "Settings" for your repository, scroll down and check the "Enable Actions" option in the "Advanced Settings".

The default action url is already set to [code.forgejo.org](https://code.forgejo.org). That means the action on `code.forgejo.org` will be picked even if a same repository exists on our site. Like `uses: action/checkout@v1` will pick the one at `code.forgejo.org/actions/checkout`, even if `code.lightstands.xyz/actions/checkout` were also existing.

| Runner | Architechture | Setup | Labels | Driver | Concurrent Tasks Num. | Additional Limit |
| ------ | ------------- | ----- | ------------- | ------ | ---------- | --------------------|
| default-us-phx-0 | aarch64 | 3 cores (3 threads) with 20GB memory | `docker`,`linux-aarch64-lg`,`linux-lg` | Podman (rootless) | 1 | `blkio read <= 10Megabytes/s, blkio write <= 10Megabytes/s` | 

Global runners are set up with rootless podman for security reason. You can also register self-hosted runners for you account, orgranisation or repository.

You can use our [runner images](https://code.lightstands.xyz/StandCoded/runner-images) to run your workflows.

## Privacy & Security

This is a personal website and not covered by GDPR. We already have taken security enforcement to protect the data, but no promise. If you found any security problem, please reach me at `security@lightstands.xyz` or (better if possible) open a ticket in the [StandCoded/README repository](https://code.lightstands.xyz/StandCoded/README).

We share data with [Cloudflare](https://cloudflare.com) to improve the user experience. The data may include IP address.

## DMCA
Please send your formal complain to `dmca@lightstands.xyz`. After reviewed the complain and reached the uploader, we may take one of following actions:

- Ignore (if the complain does not stand)
- Limit the exposure
- Delete the content (if the content exposure could not be limit)

Your complain will be published in public, even if the complain is ignored.